<?php

/*

#################### Licence #########################

TigerTom's Content Freshener (TTConFresh)
http://www.ttfreeware.com
Copyright (c) 2007 T. O' Donnell

Released under the GNU General Public License, with the
following proviso: 

That the HTML of the hyperlink to the author's website
this software generates shall remain intact and unaltered, 
in any version of this software you make, _unless_, instead, you place 
a clean, direct hyperlink to http://www.tigertom.com on a search-engine-accessible 
web page in the root directory of your website.

Thank you.

*/

######################### CONFIGURATION #########################

//// This file is intended to be called by another web page. Read the
//// file README.txt on how to set this up.

// Absolute path to the directory where 'content.dat' is, 
// and where permanent include files may be created (NO trailing forward-slash here):

	$directory = "/home/username/public_html/ttconfresh/content";

// Name of content db file

	$content_file = "content.dat";

// Make permanent include files, instead of randomising every time? Change 
// to 1 if you want to:

	$make_include = 0;

// Insert keyword? Change to 1 if you want to:

	$insert_keyword = 1;

// Define what keyword placeholders to look for in the content file

	$keyword_upper_case_placeholder = "KEYWORD_UPPER_CASE";
	$keyword_lower_case_placeholder = "KEYWORD_LOWER_CASE";
	$keyword_first_letter_capitalised_placeholder = "KEYWORD_FIRST_LETTER_CAPITALISED";
	$keyword_all_letters_capitalised_placeholder = "KEYWORD_ALL_LETTERS_CAPITALISED";

// How many entries in the content database do we want to print?

	$number_of_db_entries_to_print = 3; 


######## END OF CONFIG. SECTION, but read the next bit ...

// Uncomment (remove the #) from the next section, if you want to
// grab the keyword from the QUERY_STRING (the text after the ? in 
// your URL) instead of the page name:

# // Get the keyword, from the query string
# // Use getenv()
#
#		if($KEYWORD == "") { $KEYWORD = getenv('QUERY_STRING'); }
# // If it returns nothing, use Superglobals ($_SERVER or $_ENV)
#		 if($KEYWORD == "") { $KEYWORD = $_SERVER['QUERY_STRING']; }
#		 if($KEYWORD == "") { $KEYWORD = $_ENV['QUERY_STRING'];	}


//// Get the keyword, try various environmental variables:

		   if($KEYWORD == "") { $KEYWORD = getenv('DOCUMENT_NAME'); }
// If it returns nothing, use Superglobals ($_SERVER or $_ENV)
		   if($KEYWORD == "") { $KEYWORD = $_SERVER['DOCUMENT_NAME']; }
		   if($KEYWORD == "") { $KEYWORD = $_ENV['DOCUMENT_NAME'];	}

// Try another environmental variable:
		  if($KEYWORD == "") { $KEYWORD = getenv('SCRIPT_NAME'); }
// If it returns nothing, use Superglobals ($_SERVER or $_ENV)
		  if($KEYWORD == "") { $KEYWORD = $_SERVER['SCRIPT_NAME']; }
		  if($KEYWORD == "") { $KEYWORD = $_ENV['SCRIPT_NAME']; }

// Try another environmental variable:
		  if($KEYWORD == "") { $KEYWORD = getenv('PHP_SELF'); }
// If it returns nothing, use Superglobals ($_SERVER or $_ENV)
		  if($KEYWORD == "") { $KEYWORD = $_SERVER['PHP_SELF']; }
		  if($KEYWORD == "") { $KEYWORD = $_ENV['PHP_SELF']; }

// Try another environmental variable:
		  if($KEYWORD == "") { $KEYWORD = getenv('DOCUMENT_URI'); }
// If it returns nothing, use Superglobals ($_SERVER or $_ENV)
		  if($KEYWORD == "") { $KEYWORD = $_SERVER['DOCUMENT_URI']; }
		  if($KEYWORD == "") { $KEYWORD = $_ENV['DOCUMENT_URI']; }


// In case we've got the keyword from DOCUMENT_URI, get rid of subdirectory
 $KEYWORD = preg_replace("/\/(\w+|\W+)\//i", "", $KEYWORD);
 $KEYWORD = preg_replace("/\/(\w+|\W+)-(\w+|\W+)\//i", "", $KEYWORD);
 $KEYWORD = preg_replace("(/)", "", $KEYWORD);
 

// echo "Here is the keyword: " . $KEYWORD;
// exit;

	if($insert_keyword) {


// Get rid of file extension, if we passed the page name

$KEYWORD = eregi_replace(".html|.shtml|.htm|.php", "", $KEYWORD);

// Designate our include file name, should we need one
$include_file_name = $KEYWORD . ".HTM";

// Include then the relevant file if it alreay exists, then stop.

if(file_exists("$directory/$include_file_name")){
include("$directory/$include_file_name");
exit;
	}

// Continue with freshening, if it does not

// Replace hyphens and underscores in page name, with spaces

$KEYWORD = preg_replace("/-|_/i", " ", $KEYWORD);

// Get versions of the keyword in both upper and lower case
$keyword_upper_case = ucwords($KEYWORD);
$keyword_first_letter_capitalised = ucfirst($KEYWORD);
$keyword_lower_case = strtolower($KEYWORD);
$keyword_all_letters_capitalised = strtoupper($KEYWORD);

	} # End if insert_keyword

// Get the content
$quote=explode("|",join('',file("$directory/$content_file"))); 

// Shuffle the entries
shuffle($quote);

// Append the number of entries we want to each other

$counter = 0;

while($counter <= $number_of_db_entries_to_print -1) {
$text = $text . $quote[$counter];
$counter++;
}

// Swop markers for our keyword

	if($insert_keyword) {
$text = ereg_replace("$keyword_lower_case_placeholder", $keyword_lower_case, $text);
$text = ereg_replace("$keyword_upper_case_placeholder", $keyword_upper_case, $text);
$text = ereg_replace("$keyword_first_letter_capitalised_placeholder", $keyword_first_letter_capitalised, $text);
$text = ereg_replace("$keyword_all_letters_capitalised_placeholder", $keyword_all_letters_capitalised, $text);
		} # End if

// Make our permanent include file, if it doesn't exist yet, and the webmaster 
// wants one

	if(!file_exists("$directory/$include_file_name") && $make_include) {
$handle = fopen("$directory/$include_file_name", "w");
fwrite($handle, $text);
fclose($handle);
}

// Print the text
echo $text;
// Please leave this be, unless you're linking to TigerTom.Com elsewhere on your site.
echo "<BR><BR><CENTER><font size=\"1\"><a href=\"http://www.ttfreeware.com\">TigerTom Software</a></font></CENTER>";
	
exit;

?>